## org.eclipse.datatools.sqltools.sqleditor.internal.indent
Interface StopCondition

    public interface StopCondition

Specifies the stop condition, upon which the `scanXXX` methods will decide whether to keep scanning or not. This interface may implemented by clients.

Author:
  Li Huang

Method Summary
`boolean` `stop(char ch, int position, boolean forward)` Instructs the scanner to return the current position.

Method Detail

### stop

    boolean stop(char ch,
                 int position,
                 boolean forward)

  Instructs the scanner to return the current position.

  Parameters:
    `ch` - the char at the current position
    `position` - the current position
    `forward` - the iteration direction
  Returns:
    `true` if the stop condition is met.